#{extends 'borderNG.html' /}

#{set 'titleHead'}
&{'panitia.dataid'}
#{/set}

<ol class="breadcrumb">
	<li><a href="@{BerandaCtr.index()}">&{'panitia.home'}</a></li>
	<li class="active">&{'panitia.dataid'}</li>
</ol>

<div class="content">
#{alert /}
#{form @admin.PanitiaCtr.simpanIdentitas()}
	<div class="form-group row">
    	<label class="col-2 col-form-label">Nama</label>
    	<div class="col-10">
      		<p class="form-control-static"> ${panitia.pnt_nama}</p>
    	</div>
  	</div>
  	<div class="form-group">
    	<label class="col-xs-2 control-label">&{'panitia.nosk'}</label>
    	<div class="col-xs-4">
      		<p class="form-control-static"> ${panitia.pnt_no_sk}</p>
    	</div>
    	<label class="col-xs-2 control-label">&{'panitia.tahun'}</label>
    	<div class="col-xs-4">
      		<p class="form-control-static"> ${panitia.pnt_tahun}</p>
    	</div>
  	</div>
  	<div class="form-group #{errorClass 'panitia.instansi' /}">
    	<label class="col-xs-2 control-label">&{'panitia.instansi'} <span class="warning">*</span></label>
    	<div class="col-xs-10" style="width:500px;">
      		#{selectInstansi 'panitia.instansi.id' , value:panitia?.instansi?.id /}
      		<div class="invalid-feedback">#{error 'panitia.instansi' /}</div>
    	</div>    	
  	</div>
  	<div class="form-group #{errorClass 'panitia.pnt_alamat' /}">
    	<label class="col-xs-2 control-label">&{'panitia.alamat'}<span class="warning"> *</span></label>
    	<div class="col-xs-10">
      		<textarea name="panitia.pnt_alamat" cols="25" rows="4" class="form-control">${panitia.pnt_alamat}</textarea>
      		<span class="help-block">#{error 'panitia.pnt_alamat' /}</span>
    	</div>    	
  	</div>
	<div class="form-group #{errorClass 'panitia.kabupaten' /}">
	    <label class="col-xs-2 control-label">&{'panitia.provinsi'}</label>
	    <div class="col-xs-4">
	       #{selectPropinsi 'propinsiId', value:panitia?.kabupaten?.propinsi?.prp_id /}
	    </div>
	     <label class="col-xs-2 control-label">&{'panitia.kota'}<span class="warning"> *</span></label>
	    <div class="col-xs-4">	       
	       #{selectKabupaten 'panitia.kabupaten.kbp_id', value:panitia?.kabupaten?.kbp_id, propinsiId:panitia?.kabupaten?.propinsi?.prp_id /}
	       <div class="invalid-feedback">#{error 'panitia.kabupaten' /}</div>
	    </div>	    
	</div>
	<div class="form-group">
	    <label class="col-xs-2 control-label ">&{'panitia.email'}</label>
	    <div class="col-xs-4 #{errorClass 'panitia.pnt_email' /}">
	      <input class="form-control" name="panitia.pnt_email" type="text" value="${panitia.pnt_email}">
	      <span class="help-block">#{error 'panitia.pnt_email' /}</span>
	    </div>
	    <label class="col-xs-2 control-label">&{'panitia.website'}</label>
	    <div class="col-xs-4">
	      <input class="form-control" name="panitia.pnt_website" type="text" value="${panitia.pnt_website}">
	    </div>
	</div>
	<div class="form-group">
	    <label class="col-xs-2 control-label">&{'panitia.telepon'}</label>
	    <div class="col-xs-4">
	      <input class="form-control" name="panitia.pnt_telp" type="text" value="${panitia.pnt_telp}" onkeypress="return isNumberKey(event)">
	    </div>
	    <label class="col-xs-2 control-label">&{'panitia.fak'}</label>
	    <div class="col-xs-4">
	      <input class="form-control" name="panitia.pnt_fax" type="text" value="${panitia.pnt_fax}">
	    </div>
	</div>
	<div class="form-group row">
    	<div class="col-offset-2 col-10">
      		#{saveButton /}
    	</div>
  	</div>     
#{/form}
<div class="bs-callout bs-callout-warning">
    	<span class="warning">*</span> &{'panitia.dataisi'}.
</div>
<div class="header1">&{'panitia.header'}</div>
<table class="table condensed">
<tr>
	<th>&{'panitia.nama'}</th>
	<th>&{'panitia.nip'}</th>
	<th>&{'panitia.jabatan'}</th>
</tr>
#{list anggotaList, as :'item'}
<tr>
	<td>${item.pegawai.peg_nama}</td>
	<td>${item.pegawai.peg_nip}</td>
	<td>${item.agp_jabatan}</td>
</tr>
#{/list}
</table>
</div>
#{set 'custom_script'}
<script type="text/javascript">  
var kabUrl = #{jsRoute @JSONCtr.daftar_kabupaten(':id') /} ;
$(document).on('change', '#propinsi', function(){
    var id = $(this).val();
    $.getJSON(kabUrl.url({id:id}), function(data){
	      var options = '';
	      for (var i = 0; i < data.length; i++) {
	        options += '<option value="' + data[i].id + '">' + data[i].label + '</option>';
	      }
	      $('#kabupaten').html(options);
	      $('#kabupaten').selectpicker('refresh');
   })
})
</script>
#{/set}